Bug 465365 - Upgraded x86_64 520 Sat locks up when performing a Kickstart with the Config Management flag.
Upgraded x86_64 520 Sat locks up when performing a Kickstart with the Config ...
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Mike McCune
Steve Salevan
Depends On:
Blocks: 457075
  Show dependency treegraph
Reported: 2008-10-02 17:33 EDT by Jeff Browning
Modified: 2009-09-10 15:23 EDT (History)
4 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-10 15:23:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
error_log from test03-64 (621.13 KB, application/octet-stream)
2008-10-02 17:35 EDT, Jeff Browning
no flags Details
catalina.out from test03-64 (196.87 KB, application/octet-stream)
2008-10-02 17:35 EDT, Jeff Browning
no flags Details

  None (edit)
Description Jeff Browning 2008-10-02 17:33:41 EDT
Description of problem:
There is a particular kickstart I've been working with on test03-64 that causes httpd and Jabber to shut down, and eventually the system to lock up if not canceled. Please see the repro steps for full details.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install Sat 511 with an embedded DB on a testxx-64 box.
2. Sync the RHEL5 i386 base and tools channels.
3. Upgrade the Sat to 520
4. Register a RHEL4 system to the Sat
5. Create a Kickstart for the RHEL5 base channel, the RHEL5 tools channel, and that includes the option to install RHN Configuration Management on the target system.
6. Using this Kickstart file, provision the RHEL4 box.

Actual results:
The Kickstart itself is very slow, and if you monitor top on the Sat box, you'll notice that over time the spikes in CPU usage of kswamp0 grow larger and larger until they reach the high 90%s.

Eventually (it could take an hour), the system will grind to a hault and will have to be manually rebooted, as terminal access to the machine will become unresponsive. You may also encounter a situation where the WebUI fails to refresh during the Kickstart. At this point, restarting the rhn-satellite service will show that both httpd and Jabber had already been stopped. Restarting rhn-satellite at this point will spare the system the full lockup that occurs if you let it continue to run past this point.

The target system is not completely kickstarted, and must be recovered to use again.

Expected results:
This should complete in a timely manner without any problems.

Additional info:
My Sat: test03-64.rhndev.redhat.com
The i386 systems I'm reproduced this one: fjs-0-01 and rlx-0-06
The kickstart file in question on test03-64: Jeff_RHEL_5

I am attaching the error_log and cataline.out files from test03-64. The dates of interest should be 10/01 and 10/02.

Also, when this same type of Kickstart is tried on an i386 RHEL4 520 Sat (not upgraded), the Kickstart completes with a failure. The three rhncfg files fail to install on the target system.
Comment 1 Jeff Browning 2008-10-02 17:35:11 EDT
Created attachment 319297 [details]
error_log from test03-64
Comment 2 Jeff Browning 2008-10-02 17:35:38 EDT
Created attachment 319298 [details]
catalina.out from test03-64
Comment 3 Brad Buckingham 2008-10-03 09:24:48 EDT
Do you see this problem only with an x86_64 Satellite?
Does the problem occur on 520 only ? (i.e. not on 511)
Does it occur on a 520 fresh install or only after an upgrade from 511 to 520?
Comment 4 Brad Buckingham 2008-10-03 09:26:06 EDT
Input requested for comment #3.
Comment 5 Jeff Browning 2008-10-07 16:48:04 EDT
Provided information for this problem offline.

So far we are only seeing it on x86_64, 520, with RHEL5 kickstarts.
Comment 10 Brad Buckingham 2008-10-09 15:02:26 EDT
moving to sat530-triage since this is not a regression... 

The behavior we see may be the what is expected; however, it would be worthwhile to understand why the kickstart is requiring so much memory/swap resources to complete successfully.
Comment 12 Mike McCune 2009-02-05 18:18:17 EST
I'm actually tracking and fixing this one here:


I'm going to be rewriting the handler that sends down RPMs during a kickstart to be done in Java.
Comment 13 Mike McCune 2009-03-18 22:19:02 EDT
moving to MODIFIED as I also fixed 472595
Comment 14 Mike McCune 2009-03-23 17:18:10 EDT
This landed in:


I recommend a regression test against existing kickstart functionality.
Comment 15 Steve Salevan 2009-07-20 12:33:12 EDT
VERIFIED on 7/14 x86_64 build.
Comment 16 Steve Salevan 2009-08-14 14:51:08 EDT
RELEASE_PENDING from latest Stage build.
Comment 17 Brandon Perkins 2009-09-10 15:23:41 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.